Index: /branches/HeuristicLab.DataImporter/Build.cmd
===================================================================
--- /branches/HeuristicLab.DataImporter/Build.cmd	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/Build.cmd	(revision 9614)
@@ -49,6 +49,6 @@
 
 :prompt_config
-SET /P CONFIGURATION=Which configuration to build [Debug]: 
-IF "%CONFIGURATION%"=="" SET CONFIGURATION=Debug
+SET /P CONFIGURATION=Which configuration to build [Release]: 
+IF "%CONFIGURATION%"=="" SET CONFIGURATION=Release
 
 :platform_selection
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Backend.Csv/CsvImportCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Backend.Csv/CsvImportCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Backend.Csv/CsvImportCommand.cs	(revision 9614)
@@ -20,14 +20,7 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
 using System.IO;
-using System.Linq;
-using System.Text;
-using System.Xml;
-using System.Windows.Forms;
-using HeuristicLab.DataImporter.Data;
+using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -37,7 +30,6 @@
     private ColumnGroup newColumnGroup;
 
-    private CsvImportCommand()
-      : base(null) {
-    }
+    [StorableConstructor]
+    protected CsvImportCommand(bool deserializing) : base(deserializing) { }
 
     public CsvImportCommand(DataSet dataSet)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Backend.Csv/CsvImporter.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Backend.Csv/CsvImporter.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Backend.Csv/CsvImporter.cs	(revision 9614)
@@ -20,12 +20,7 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.IO;
+using HeuristicLab.DataImporter.Data.CommandBase;
+using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.DataImporter.DataProcessor;
-using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Data.CommandBase;
 
 namespace HeuristicLab.DataImporter.Backend.Csv {
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Backend.Hl2ImporterFormat/Hl2Importer.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Backend.Hl2ImporterFormat/Hl2Importer.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Backend.Hl2ImporterFormat/Hl2Importer.cs	(revision 9614)
@@ -20,15 +20,10 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.IO;
+using HeuristicLab.DataImporter.Data.CommandBase;
+using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.DataImporter.DataProcessor;
-using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Data.CommandBase;
 
 namespace HeuristicLab.DataImporter.Backend.Hl2ImporterFormat {
-  public class Hl2Importer : IImporter{
+  public class Hl2Importer : IImporter {
 
     public string Description {
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Backend.Hl2ImporterFormat/Hl2ImporterCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Backend.Hl2ImporterFormat/Hl2ImporterCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Backend.Hl2ImporterFormat/Hl2ImporterCommand.cs	(revision 9614)
@@ -20,14 +20,7 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
 using System.IO;
-using System.Linq;
-using System.Text;
-using System.Xml;
-using System.Windows.Forms;
-using HeuristicLab.DataImporter.Data;
+using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -37,7 +30,6 @@
     private ColumnGroup newColumnGroup;
 
-    private Hl2ImporterCommand()
-      : base(null) {
-    }
+    [StorableConstructor]
+    protected Hl2ImporterCommand(bool deserializing) : base(deserializing) { }
 
     public Hl2ImporterCommand(DataSet dataSet)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateCommandBase.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateCommandBase.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateCommandBase.cs	(revision 9614)
@@ -23,6 +23,4 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using System.Xml;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
@@ -32,10 +30,10 @@
   [StorableClass]
   public abstract class AggregateCommandBase : ColumnGroupCommandWithAffectedColumnsBase {
-    private AggregateCommandBase()
-      : base(null, string.Empty, null) {
+    [StorableConstructor]
+    protected AggregateCommandBase(bool deserializing)
+      : base(deserializing) {
       oldColumns = new List<ColumnBase>();
       newColumns = new List<ColumnBase>();
       positions = new List<int>();
-      changeNullValuesOnly = true;
     }
 
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMaxCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMaxCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMaxCommand.cs	(revision 9614)
@@ -21,11 +21,8 @@
 
 using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -35,7 +32,6 @@
     , "Aggregation", Position = 4, OptionsView = typeof(AggregationCommandView))]
   public class AggregateWithMaxCommand : AggregateCommandBase {
-    private AggregateWithMaxCommand()
-      : base(null,string.Empty,null) {
-    }
+    [StorableConstructor]
+    protected AggregateWithMaxCommand(bool deserializing) : base(deserializing) { }
 
     public AggregateWithMaxCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMeanCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMeanCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMeanCommand.cs	(revision 9614)
@@ -21,11 +21,8 @@
 
 using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -35,7 +32,6 @@
     "Aggregation", Position = 0, OptionsView = typeof(AggregationCommandView))]
   public class AggregateWithMeanCommand : AggregateCommandBase {
-    private AggregateWithMeanCommand()
-      : base(null,string.Empty,null) {
-    }
+    [StorableConstructor]
+    protected AggregateWithMeanCommand(bool deserializing) : base(deserializing) { }
 
     public AggregateWithMeanCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
@@ -58,5 +54,5 @@
         }
       }
-      return cnt !=0 ? value/cnt : (double?)null;
+      return cnt != 0 ? value / cnt : (double?)null;
     }
   }
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMedianCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMedianCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMedianCommand.cs	(revision 9614)
@@ -21,11 +21,8 @@
 
 using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -35,7 +32,6 @@
    "Aggregation", Position = 1, OptionsView = typeof(AggregationCommandView))]
   public class AggregateWithMedianCommand : AggregateCommandBase {
-    private AggregateWithMedianCommand()
-      : base(null,string.Empty,null) {
-    }
+    [StorableConstructor]
+    protected AggregateWithMedianCommand(bool deserializing) : base(deserializing) { }
 
     public AggregateWithMedianCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMinCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMinCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMinCommand.cs	(revision 9614)
@@ -21,11 +21,8 @@
 
 using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -35,8 +32,6 @@
    "Aggregation", Position = 3, OptionsView = typeof(AggregationCommandView))]
   public class AggregateWithMinCommand : AggregateCommandBase {
-
-    private AggregateWithMinCommand()
-      : base(null, string.Empty, null) {
-    }
+    [StorableConstructor]
+    protected AggregateWithMinCommand(bool deserializing) : base(deserializing) { }
 
     public AggregateWithMinCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithSumCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithSumCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithSumCommand.cs	(revision 9614)
@@ -21,11 +21,8 @@
 
 using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -35,7 +32,6 @@
    "Aggregation", Position = 2, OptionsView = typeof(AggregationCommandView))]
   public class AggregateWithSumCommand : AggregateCommandBase {
-    private AggregateWithSumCommand()
-      : base(null,string.Empty,null) {
-    }
+    [StorableConstructor]
+    protected AggregateWithSumCommand(bool deserializing) : base(deserializing) { }
 
     public AggregateWithSumCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/DeleteRowsWithDuplicateKeyValuesCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/DeleteRowsWithDuplicateKeyValuesCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/DeleteRowsWithDuplicateKeyValuesCommand.cs	(revision 9614)
@@ -23,5 +23,4 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
 using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
@@ -34,6 +33,7 @@
   public class DeleteRowsWithDuplicateKeyValuesCommand : ColumnGroupCommandBase {
     private Dictionary<int, IComparable[]> deletedRows;
-    private DeleteRowsWithDuplicateKeyValuesCommand()
-      : base(null, string.Empty) {
+    [StorableConstructor]
+    protected DeleteRowsWithDuplicateKeyValuesCommand(bool deserializing)
+      : base(deserializing) {
       deletedRows = new Dictionary<int, IComparable[]>();
     }
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewColumnCommandBase.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewColumnCommandBase.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewColumnCommandBase.cs	(revision 9614)
@@ -29,7 +29,6 @@
   [StorableClass]
   public abstract class AddNewColumnCommandBase : ColumnGroupCommandBase {
-    private AddNewColumnCommandBase()
-      : base(null, string.Empty) {
-    }
+    [StorableConstructor]
+    protected AddNewColumnCommandBase(bool deserializing) : base(deserializing) { }
 
     protected AddNewColumnCommandBase(DataSet dataSet, string columnGroupName, string columnName, Type columnType)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewDateTimeColumnCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewDateTimeColumnCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewDateTimeColumnCommand.cs	(revision 9614)
@@ -33,7 +33,6 @@
   [ViewableCommandInfoAttribute("New DateTimeColumn", 1, ColumnGroupState.Active, "Column Commands", Position = 9)]
   public class AddNewDateTimeColumnCommand : AddNewColumnCommandBase {
-    private AddNewDateTimeColumnCommand()
-      : base(null, string.Empty, string.Empty, typeof(DateTimeColumn)) {
-    }
+    [StorableConstructor]
+    protected AddNewDateTimeColumnCommand(bool deserializing) : base(deserializing) { }
 
     public AddNewDateTimeColumnCommand(DataSet dataSet, string columnGroupName)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewDoubleColumnCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewDoubleColumnCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewDoubleColumnCommand.cs	(revision 9614)
@@ -20,11 +20,7 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Data;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -33,7 +29,6 @@
   [ViewableCommandInfoAttribute("New DoubleColumn", 1, ColumnGroupState.Active, "Column Commands", Position = 7)]
   public class AddNewDoubleColumnCommand : AddNewColumnCommandBase {
-    private AddNewDoubleColumnCommand()
-      : base(null, string.Empty, string.Empty, typeof(DoubleColumn)) {
-    }
+    [StorableConstructor]
+    protected AddNewDoubleColumnCommand(bool deserializing) : base(deserializing) { }
 
     public AddNewDoubleColumnCommand(DataSet dataSet, string columnGroupName)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewProgrammableColumnCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewProgrammableColumnCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewProgrammableColumnCommand.cs	(revision 9614)
@@ -32,7 +32,6 @@
   OptionsView = typeof(ProgrammableColumnCommandView))]
   public class AddNewProgrammableColumnCommand : AddNewColumnCommandBase {
-    private AddNewProgrammableColumnCommand()
-      : base(null, string.Empty, string.Empty, typeof(ProgrammableColumn)) {
-    }
+    [StorableConstructor]
+    protected AddNewProgrammableColumnCommand(bool deserializing) : base(deserializing) { }
 
     public AddNewProgrammableColumnCommand(DataSet dataSet, string columnGroupName)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewStringColumnCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewStringColumnCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewStringColumnCommand.cs	(revision 9614)
@@ -20,11 +20,7 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Data;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -33,7 +29,6 @@
   [ViewableCommandInfoAttribute("New StringColumn", 1, ColumnGroupState.Active, "Column Commands", Position = 8)]
   public class AddNewStringColumnCommand : AddNewColumnCommandBase {
-    private AddNewStringColumnCommand()
-      : base(null,string.Empty,string.Empty,typeof(StringColumn)) {
-    }
+    [StorableConstructor]
+    protected AddNewStringColumnCommand(bool deserializing) : base(deserializing) { }
 
     public AddNewStringColumnCommand(DataSet dataSet, string columnGroupName)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnCommandBase.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnCommandBase.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnCommandBase.cs	(revision 9614)
@@ -23,8 +23,5 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
 using System.Windows.Forms;
-using System.Xml;
-using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
@@ -43,6 +40,7 @@
     protected IEnumerable<SortOrder> oldSortOrder;
 
-    private ChangeColumnCommandBase()
-      : base(null, string.Empty, null) {
+    [StorableConstructor]
+    protected ChangeColumnCommandBase(bool deserializing)
+      : base(deserializing) {
       newColumns = new List<ColumnBase>();
       oldColumns = new List<ColumnBase>();
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnToDateTimeColumnCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnToDateTimeColumnCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnToDateTimeColumnCommand.cs	(revision 9614)
@@ -20,9 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Globalization;
 using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
@@ -34,7 +29,6 @@
   [ViewableCommandInfoAttribute("Change to DateTimeColumn", 1, ColumnGroupState.ColumnSelected, "Column Commands", Position = 13)]
   public class ChangeColumnToDateTimeColumnCommand : ChangeColumnCommandBase {
-    private ChangeColumnToDateTimeColumnCommand()
-      : base(null, string.Empty, null, typeof(DateTimeColumn)) {
-    }
+    [StorableConstructor]
+    protected ChangeColumnToDateTimeColumnCommand(bool deserializing) : base(deserializing) { }
 
     public ChangeColumnToDateTimeColumnCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnToDoubleColumnCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnToDoubleColumnCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnToDoubleColumnCommand.cs	(revision 9614)
@@ -20,9 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Globalization;
 using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
@@ -34,7 +29,6 @@
   [ViewableCommandInfoAttribute("Change to DoubleColumn", 1, ColumnGroupState.ColumnSelected, "Column Commands", Position = 11)]
   public class ChangeColumnToDoubleColumnCommand : ChangeColumnCommandBase {
-    private ChangeColumnToDoubleColumnCommand()
-      : base(null, string.Empty, null, typeof(DoubleColumn)) {
-    }
+    [StorableConstructor]
+    protected ChangeColumnToDoubleColumnCommand(bool deserializing) : base(deserializing) { }
 
     public ChangeColumnToDoubleColumnCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnToStringColumnCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnToStringColumnCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnToStringColumnCommand.cs	(revision 9614)
@@ -20,9 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Globalization;
 using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
@@ -34,7 +29,6 @@
   [ViewableCommandInfoAttribute("Change to StringColumn", 1, ColumnGroupState.ColumnSelected, "Column Commands", Position = 12)]
   public class ChangeColumnToStringColumnCommand : ChangeColumnCommandBase {
-    private ChangeColumnToStringColumnCommand()
-      : base(null, string.Empty, null, typeof(StringColumn)) {
-    }
+    [StorableConstructor]
+    protected ChangeColumnToStringColumnCommand(bool deserializing) : base(deserializing) { }
 
     public ChangeColumnToStringColumnCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/CreateTimeSeriesColumnsCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/CreateTimeSeriesColumnsCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/CreateTimeSeriesColumnsCommand.cs	(revision 9614)
@@ -20,14 +20,11 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
+using System.Windows.Forms.DataVisualization.Charting;
+using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
+using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.DataImporter.Data;
-using HeuristicLab.DataImporter.Data.Model;
-using System.Windows.Forms.DataVisualization.Charting;
-using System.Drawing;
 
 namespace HeuristicLab.DataImporter.Command {
@@ -37,5 +34,6 @@
   public class CreateTimeSeriesColumnsCommand : ColumnGroupCommandWithAffectedColumnsBase {
     private int addedColumnsCount;
-
+    [StorableConstructor]
+    protected CreateTimeSeriesColumnsCommand(bool deserializing) : base(deserializing) { }
     public CreateTimeSeriesColumnsCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
       : base(dataSet, columnGroupName, affectedColumns) {
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/SplitCategorialColumnCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/SplitCategorialColumnCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/SplitCategorialColumnCommand.cs	(revision 9614)
@@ -23,9 +23,8 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
+using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
+using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.DataImporter.Data;
-using HeuristicLab.DataImporter.Data.Model;
 
 namespace HeuristicLab.DataImporter.Command {
@@ -38,7 +37,6 @@
     private const double NOTSETVALUE = 0.0;
 
-    private SplitCategorialColumnCommand()
-      : base(null, string.Empty, -1) {
-    }
+    [StorableConstructor]
+    protected SplitCategorialColumnCommand(bool deserializing) : base(deserializing) { }
 
     public SplitCategorialColumnCommand(DataSet dataSet, string columnGroupName, int columnIndex)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/SplitDictionaryStyleDataCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/SplitDictionaryStyleDataCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/SplitDictionaryStyleDataCommand.cs	(revision 9614)
@@ -34,8 +34,6 @@
   public class SplitDictionaryStyleDataCommand : ColumnGroupCommandWithAffectedColumnsBase {
     private int addedColumnsCount;
-
-    private SplitDictionaryStyleDataCommand()
-      : base(null, string.Empty, null) {
-    }
+    [StorableConstructor]
+    protected SplitDictionaryStyleDataCommand(bool deserializing) : base(deserializing) { }
 
     public SplitDictionaryStyleDataCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/AddNewColumnGroupCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/AddNewColumnGroupCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/AddNewColumnGroupCommand.cs	(revision 9614)
@@ -40,7 +40,6 @@
     private ColumnGroup newColumnGroup;
 
-    private AddNewColumnGroupCommand()
-      : base(null) {
-    }
+    [StorableConstructor]
+    protected AddNewColumnGroupCommand(bool deserializing) : base(deserializing) { }
 
     public AddNewColumnGroupCommand(DataSet dataSet)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/AlignColumnGroupsCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/AlignColumnGroupsCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/AlignColumnGroupsCommand.cs	(revision 9614)
@@ -23,5 +23,4 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.DataImporter.Data;
@@ -41,7 +40,6 @@
     private int removePos2;
 
-    private AlignColumnGroupsCommand()
-      : base(null, null) {
-    }
+    [StorableConstructor]
+    protected AlignColumnGroupsCommand(bool deserializing) : base(deserializing) { }
 
     public AlignColumnGroupsCommand(DataSet dataSet, List<string> affectedColumnGroupNames)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/DeleteColumnGroupCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/DeleteColumnGroupCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/DeleteColumnGroupCommand.cs	(revision 9614)
@@ -32,6 +32,7 @@
     private List<KeyValuePair<int, ColumnGroup>> deletedColumnGroups;
 
-    private DeleteColumnGroupCommand()
-      : base(null, null) {
+    [StorableConstructor]
+    protected DeleteColumnGroupCommand(bool deserializing)
+      : base(deserializing) {
       deletedColumnGroups = new List<KeyValuePair<int, ColumnGroup>>();
     }
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/DeleteColumnsWithTooFewValuesCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/DeleteColumnsWithTooFewValuesCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/DeleteColumnsWithTooFewValuesCommand.cs	(revision 9614)
@@ -17,6 +17,7 @@
     private SortedDictionary<int, ColumnBase> deletedColumns;
     private ICollection<int> oldSortedColumnIndices;
-    private DeleteColumnsWithTooFewValuesCommand()
-      : base(null, string.Empty) {
+    [StorableConstructor]
+    protected DeleteColumnsWithTooFewValuesCommand(bool deserializing)
+      : base(deserializing) {
       deletedColumns = new SortedDictionary<int, ColumnBase>();
     }
